<!--
    Input:
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        radio_framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        vendor.samsung.hardware.tlc.iccc@1.0-matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        vendor.samsung.hardware.hqm@1.0-matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        face_compatibility_matrix.xml
        skeymaster_v4_framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix_2_0.xml
-->
<compatibility-matrix version="5.0" type="framework">
    <hal format="aidl" optional="true">
        <name>android.hardware.biometrics.face</name>
        <interface>
            <name>IFace</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.bluetooth</name>
        <version>1.0</version>
        <interface>
            <name>IBluetoothHci</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.configstore</name>
        <version>1.1</version>
        <interface>
            <name>ISurfaceFlingerConfigs</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.gatekeeper</name>
        <version>1.0</version>
        <interface>
            <name>IGatekeeper</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.graphics.allocator</name>
        <version>2.0</version>
        <interface>
            <name>IAllocator</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.graphics.composer</name>
        <version>2.1</version>
        <interface>
            <name>IComposer</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.graphics.mapper</name>
        <version>2.1</version>
        <interface>
            <name>IMapper</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.health</name>
        <version>2.0</version>
        <interface>
            <name>IHealth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.keymaster</name>
        <version>4.0</version>
        <interface>
            <name>IKeymasterDevice</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.keymaster</name>
        <version>4.0</version>
        <interface>
            <name>IKeymasterDevice</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>android.hardware.light</name>
        <interface>
            <name>ILights</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.media.omx</name>
        <version>1.0</version>
        <interface>
            <name>IOmx</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.media.omx</name>
        <version>1.0</version>
        <interface>
            <name>IOmxStore</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.memtrack</name>
        <version>1.0</version>
        <interface>
            <name>IMemtrack</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.power</name>
        <version>1.0</version>
        <interface>
            <name>IPower</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.radio</name>
        <version>1.2</version>
        <interface>
            <name>ISap</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.renderscript</name>
        <version>1.0</version>
        <interface>
            <name>IDevice</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.sensors</name>
        <version>1.0</version>
        <interface>
            <name>ISensors</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.soundtrigger</name>
        <version>2.0</version>
        <interface>
            <name>ISoundTriggerHw</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.thermal</name>
        <version>1.0</version>
        <interface>
            <name>IThermal</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.thermal</name>
        <version>2.0</version>
        <interface>
            <name>IThermal</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.usb</name>
        <version>1.1</version>
        <interface>
            <name>IUsb</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>android.hardware.wifi.supplicant</name>
        <interface>
            <name>ISupplicant</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.dsi.ant</name>
        <version>1.0</version>
        <interface>
            <name>IAnt</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.audio</name>
        <version>1.0</version>
        <interface>
            <name>ISehDevicesFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>vendor.samsung.hardware.bluetooth</name>
        <version>2.0</version>
        <interface>
            <name>ISehBluetooth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.bluetooth.audio</name>
        <interface>
            <name>ISehBluetoothAudioProviderFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>vendor.samsung.hardware.camera.provider</name>
        <version>4.0</version>
        <interface>
            <name>ISehCameraProvider</name>
            <instance>legacy/0</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.gnss</name>
        <version>2.0</version>
        <interface>
            <name>ISehGnss</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>vendor.samsung.hardware.gnss</name>
        <version>2.0</version>
        <interface>
            <name>ISehGnss</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.hqm</name>
        <version>1.0</version>
        <interface>
            <name>ISehHqm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.hyper</name>
        <version>2</version>
        <interface>
            <name>ISehHyPer</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.hyper</name>
        <version>2</version>
        <interface>
            <name>ISehHyPer</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.media.mpp</name>
        <interface>
            <name>ISehMppStore</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.miscpower</name>
        <version>2.0</version>
        <interface>
            <name>ISehMiscPower</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.radio</name>
        <version>2.2</version>
        <interface>
            <name>ISehRadio</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.radio.bridge</name>
        <version>2.0</version>
        <interface>
            <name>ISehBridge</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.radio.bridge</name>
        <interface>
            <name>ISehRadioBridge</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.radio.channel</name>
        <version>2.0</version>
        <interface>
            <name>ISehChannel</name>
            <instance>epdgd</instance>
            <instance>epdgd2</instance>
            <instance>imsd</instance>
            <instance>imsd2</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.radio.channel</name>
        <interface>
            <name>ISehRadioChannel</name>
            <instance>epdgd</instance>
            <instance>epdgd2</instance>
            <instance>imsd</instance>
            <instance>imsd2</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.radio.data</name>
        <interface>
            <name>ISehRadioData</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.radio.messaging</name>
        <interface>
            <name>ISehRadioMessaging</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.radio.network</name>
        <interface>
            <name>ISehRadioNetwork</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.radio.sim</name>
        <interface>
            <name>ISehRadioSim</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.drk</name>
        <version>2.0</version>
        <interface>
            <name>ISehDrk</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.engmode</name>
        <version>1.0</version>
        <interface>
            <name>ISehEngmode</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.engmode</name>
        <version>1.0</version>
        <interface>
            <name>ISehEngmode</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.security.hdcp.wifidisplay</name>
        <version>1-2</version>
        <interface>
            <name>ISehHdcp</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.security.hdcp.wifidisplay</name>
        <version>1-2</version>
        <interface>
            <name>ISehHdcp</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.skpm</name>
        <version>1.0</version>
        <interface>
            <name>ISehSkpm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.security.ssu</name>
        <interface>
            <name>ISehSSUTEECL</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.vaultkeeper</name>
        <version>2.0</version>
        <interface>
            <name>ISehVaultKeeper</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.widevine.keyprov</name>
        <version>1.0</version>
        <interface>
            <name>ISehWidevineKeyProvisioning</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.snap</name>
        <interface>
            <name>ISehSnap</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.sysinput</name>
        <version>1.3</version>
        <interface>
            <name>ISehSysInputCallback</name>
        </interface>
        <interface>
            <name>ISehSysInputDev</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.sysinput</name>
        <version>1.3</version>
        <interface>
            <name>ISehSysInputCallback</name>
        </interface>
        <interface>
            <name>ISehSysInputDev</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.thermal</name>
        <version>1.0</version>
        <interface>
            <name>ISehThermal</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.iccc</name>
        <version>1.0</version>
        <interface>
            <name>ISehIccc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.ucm</name>
        <version>2.0</version>
        <interface>
            <name>ISehUcm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.wifi</name>
        <version>2.0-3</version>
        <interface>
            <name>ISehWifi</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.wifi.hostapd</name>
        <version>4.0</version>
        <interface>
            <name>ISehHostapd</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.wifi.supplicant</name>
        <version>3.0-1</version>
        <interface>
            <name>ISehSupplicant</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.ExynosHWCServiceTW</name>
        <version>1.0</version>
        <interface>
            <name>IExynosHWCServiceTW</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.epic</name>
        <version>1.0</version>
        <interface>
            <name>IEpicRequest</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.ofi</name>
        <version>1.0</version>
        <interface>
            <name>IOfiService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <sepolicy>
        <kernel-sepolicy-version>30</kernel-sepolicy-version>
        <sepolicy-version>28.0</sepolicy-version>
        <sepolicy-version>29.0</sepolicy-version>
        <sepolicy-version>30.0</sepolicy-version>
        <sepolicy-version>31.0</sepolicy-version>
        <sepolicy-version>32.0</sepolicy-version>
        <sepolicy-version>33.0</sepolicy-version>
    </sepolicy>
    <avb>
        <vbmeta-version>1.0</vbmeta-version>
    </avb>
</compatibility-matrix>
